Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd
Class AbstractBayeux.ServiceChannel

    java.lang.Object
      org.mortbay.cometd.ChannelImpl
          org.mortbay.cometd.AbstractBayeux.ServiceChannel

All Implemented Interfaces:
  org.cometd.Channel

Enclosing class:
  AbstractBayeux

    protected class AbstractBayeux.ServiceChannel

extends ChannelImpl

Field Summary

Fields inherited from class org.mortbay.cometd.ChannelImpl
`_bayeux`

Method Summary
`void` | `addChild(ChannelImpl channel)`
`void` | `subscribe(org.cometd.Client client)`

Methods inherited from class org.mortbay.cometd.ChannelImpl
`addDataFilter, addListener, doDelivery, doRemove, getChannelCount, getChannelId, getChannels, getChild, getDataFilters, getId, getSubscriberCount, getSubscribers, isPersistent, publish, remove, removeDataFilter, setPersistent, toString, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### addChild

    public void addChild(ChannelImpl channel)

  Overrides:
    `addChild` in class `ChannelImpl`

### subscribe

    public void subscribe(org.cometd.Client client)

  Specified by:
    `subscribe` in interface `org.cometd.Channel`
  Overrides:
    `subscribe` in class `ChannelImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.